#include <Adafruit_NeoPixel.h>
#include <DHT11.h>

#define DHTPIN 2       // Broche à laquelle le capteur DHT11 est connecté
DHT11 dht11(DHTPIN);

#define NUM_LEDS 12      // Nombre de LED dans la première bande
#define LED_PIN 6        // Broche de données de la première bande LED

#define NUM_LEDS_STRIP2 34 
#define LED_PIN_STRIP2 5    // Broche de données de la deuxième bande LED

const int micPin = A0;  // Capteur de bruit

Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUM_LEDS, LED_PIN, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip2 = Adafruit_NeoPixel(NUM_LEDS_STRIP2, LED_PIN_STRIP2, NEO_GRB + NEO_KHZ800);

void setup() {
  Serial.begin(9600);  // Initialisez la communication série pour le débogage et la lecture des données
  float temperature = dht11.readTemperature();  
  strip.begin();
  strip2.begin();
  
  // Initialisez toutes les LED à "éteintes" pour la première bande
  strip.show();
  strip2.show();
  }

void loop() {
  // Lecture du capteur de bruit
  int soundLevel = analogRead(micPin);
  
  // Vérifier si le niveau de bruit est supérieur à 550 pendant 1 seconde
  if (soundLevel > 550) {
    delay(1000); // Attendre 1 seconde supplémentaire pour confirmer
    soundLevel = analogRead(micPin);  // Lire à nouveau la valeur du capteur
    if (soundLevel > 550) { 
       for (int i = 0; i < NUM_LEDS_STRIP2; i++) {
       strip2.setPixelColor(i, strip2.Color(255, 165, 0));
       }
      // Lecture de la température depuis le capteur DHT11
      float temperature = dht11.readTemperature();
      // Contrôler la couleur des LED en fonction de la température pour la première bande
      if (temperature < 18) {
        // Température froide : LED bleue
        for (int i = 0; i < NUM_LEDS; i++) {
          strip.setPixelColor(i, strip.Color(0, 0, 255)); // Bleu
        }
      } else if (temperature > 23) {
        // Température élevée : LED rouge
        for (int i = 0; i < NUM_LEDS; i++) {
          strip.setPixelColor(i, strip.Color(255, 0, 0)); // Rouge
        }
      } else {
        // Température normale : LED blanche
        for (int i = 0; i < NUM_LEDS; i++) {
          strip.setPixelColor(i, strip.Color(255, 70, 70)); // Blanc
        }
      }

      // Afficher les changements pour la première bande
      strip.show();
      strip2.show();

      // Attendre 1 seconde avant la prochaine lecture
      delay(1000);
      // Allumer toutes les LED pendant 1 minute
      delay(60000);

      // Éteindre toutes les LED après 1 minute
      for (int i = 0; i < NUM_LEDS; i++) {
        strip.setPixelColor(i, strip.Color(0, 0, 0)); // Éteindre la première bande
      }
      for (int i = 0; i < NUM_LEDS_STRIP2; i++) {
        strip2.setPixelColor(i, strip2.Color(0, 0, 0)); // Éteindre la deuxième bande
      }
      strip.show();
      strip2.show();
    }
  }
}
